Bug 732737 - Review Request: python-signalfd - Python bindings to the Linux signalfd library/system call
Summary: Review Request: python-signalfd - Python bindings to the Linux signalfd libra...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Douglas Schilling Landgraf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 12:52 UTC by James Laska
Modified: 2013-09-02 06:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-10 10:49:25 UTC
dougsland: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description James Laska 2011-08-23 12:52:13 UTC
Spec URL: http://jlaska.fedorapeople.org/repos/review/python-signalfd.spec
SRPM URL: http://jlaska.fedorapeople.org/repos/review/python-signalfd-0.1-1.fc15.src.rpm
Description: Provides python bindings for sigprocmask(2) and signalfd(2)

== rpmlint output ==

python-signalfd.src: W: spelling-error %description -l en_US sigprocmask 
python-signalfd.x86_64: W: spelling-error %description -l en_US sigprocmask 
3 packages and 1 specfiles checked; 0 errors, 2 warnings.

Comment 1 Douglas Schilling Landgraf 2011-08-23 18:54:06 UTC
Hello James,

I am ok with this package. Fell free to request a new SCM branch.
Below my review.

Cheers
Douglas

[OK] rpmlint must be run on the source rpm and all binary rpms the build produces.

$rpmlint rpmbuild/SPECS/python-signalfd.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[OK] The package must be named according to the Package Naming Guidelines .

[OK] The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

[OK] The package must meet the Packaging Guidelines .

[OK] The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
License:        MIT

[OK] The License field in the package spec file must match the actual license.

[OK]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]

[OK] The spec file must be written in American English.

[OK] The spec file for the package MUST be legible.

[OK] The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

$ md5sum python-signalfd-0.1.tar.gz 
113072157cafef0438f8b7a6735a397b  python-signalfd-0.1.tar.gz
$ md5sum upstream/python-signalfd-0.1.tar.gz 
113072157cafef0438f8b7a6735a397b  upstream/python-signalfd-0.1.tar.gz

[OK] The package MUST successfully compile and build into binary rpms on at least one primary architecture.
$ rpmbuild -ba python-signalfd.spec
python-signalfd-0.1-1.fc15.x86_64.rpm

[NOT_NEEDED] If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]

[OK] All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

%if 0%{?fedora} >= 11 || 0%{?rhel} >= 6
BuildRequires:  python2-devel
BuildRequires:  python-setuptools-devel
%else
BuildRequires:  python-setuptools
%endif
BuildRequires:  gcc

[NOT_NEEDED] The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]

[NOT_NEEDED] Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

[OK] Packages must NOT bundle copies of system libraries.[

[OK] A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)

[OK]  Permissions on files must be set properly. Executables should be set with executable permissions

[OK] Each package must consistently use macros. 

[OK] If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 

[OK] Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

[OK] All filenames in rpm packages must be valid UTF-8

Comment 2 James Laska 2011-08-23 20:02:53 UTC
Excellent, many thanks for the review Douglas!

New Package SCM Request
=======================
Package Name: python-signalfd
Short Description: Provides python bindings for sigprocmask(2) and signalfd(2)
Owners: jlaska
Branches: f14 f15 f16
InitialCC:

Comment 3 Gwyn Ciesla 2011-08-23 20:23:33 UTC
Git done (by process-git-requests).

Douglas, please take onwership of review BZs you're working on, going
forward.  Thank you!

Comment 4 Douglas Schilling Landgraf 2011-08-23 20:40:13 UTC
Jon,

Done, thanks!

Cheers
Douglas

Comment 5 James Laska 2011-08-24 11:24:26 UTC
Apologies, I neglected to request a el6 branch for this package.

Package Change Request
======================
Package Name: python-signalfd
New Branches: el6
Owners: jlaska

Comment 6 Gwyn Ciesla 2011-08-24 12:05:44 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.